Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class BooleanExpressionImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.BooleanExpressionImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.BooleanExpression

    @Entity
    public class BooleanExpressionImpl

extends Object
implements org.kie.internal.task.api.model.BooleanExpression

See Also:
  Serialized Form

Constructor Summary
`BooleanExpressionImpl()`
`BooleanExpressionImpl(String type, String expression)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getExpression()`
`Long` | `getId()`
`String` | `getType()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setExpression(String expression)`
`void` | `setId(long id)`
`void` | `setType(String type)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanExpressionImpl

    public BooleanExpressionImpl()

### BooleanExpressionImpl

    public BooleanExpressionImpl(String type,
                                 String expression)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `org.kie.internal.task.api.model.BooleanExpression`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.BooleanExpression`

### getType

    public String getType()

  Specified by:
    `getType` in interface `org.kie.internal.task.api.model.BooleanExpression`

### setType

    public void setType(String type)

  Specified by:
    `setType` in interface `org.kie.internal.task.api.model.BooleanExpression`

### getExpression

    public String getExpression()

  Specified by:
    `getExpression` in interface `org.kie.internal.task.api.model.BooleanExpression`

### setExpression

    public void setExpression(String expression)

  Specified by:
    `setExpression` in interface `org.kie.internal.task.api.model.BooleanExpression`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.